[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFontStylesbase

Set type used to store TFontStyle value(s).

## Declaration

Source position: graphics.pp line 76

`type TFontStylesbase = set of (`
`fsBold,` |  | Bold font style.
`fsItalic,` |  | Italic font style.
`fsUnderline,` |  | Underline font style.
`fsStrikeOut` |  | Strike-out (or strike-through) font style.
`);`

## Description

TFontStylesBase is a set type used to store 0 (zero) or more values from the TFontStyle enumeration. It is used to implement the Style member in TFontData and TFont.

## Version info

Modified in LCL 3.0 to be an alias to TFontStylesBase in System.UITypes for FPC 3.3.0 or higher.

## See also

TFontStyles |  | Set type used to store TFontStyle value(s).
TFontData |  | Contains information about a font used in an application.
TFont.Style |  | Styles applied to the font face.